List campaigns
curl --request GET \
--url https://app.voxial.pt/api/user/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.voxial.pt/api/user/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.voxial.pt/api/user/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"name": "Test campaing",
"status": "draft",
"max_calls_in_parallel": 3,
"mark_complete_when_no_leads": true,
"allowed_hours_start_time": "00:00:00",
"allowed_hours_end_time": "23:59:00",
"allowed_days": [
"monday",
"tuesday",
"wednesday",
"thursday",
"friday",
"saturday",
"sunday"
],
"max_retries": 3,
"retry_interval": 60,
"created_at": "2025-05-29T07:18:34.000000Z",
"updated_at": "2025-05-29T07:18:34.000000Z"
}
]
Campaigns
List campaigns
List all campaigns
GET
/
user
/
campaigns
List campaigns
This endpoint allows you to list all campaigns.
Response fields
array
Show properties
Show properties
integer
The id of the campaign
string
The name of the campaign
string
The status of the campaign
integer
Maximum number of calls that can be made in parallel
boolean
Whether to mark the campaign as complete when there are no leads
string
The start time for allowed calling hours
string
The end time for allowed calling hours
array
The days of the week when calls are allowed
integer
Maximum number of retry attempts for failed calls
integer
Interval in seconds between retry attempts
string
The timestamp when the campaign was created
string
The timestamp when the campaign was last updated
[
{
"id": 1,
"name": "Test campaing",
"status": "draft",
"max_calls_in_parallel": 3,
"mark_complete_when_no_leads": true,
"allowed_hours_start_time": "00:00:00",
"allowed_hours_end_time": "23:59:00",
"allowed_days": [
"monday",
"tuesday",
"wednesday",
"thursday",
"friday",
"saturday",
"sunday"
],
"max_retries": 3,
"retry_interval": 60,
"created_at": "2025-05-29T07:18:34.000000Z",
"updated_at": "2025-05-29T07:18:34.000000Z"
}
]
⌘I

